<?php
session_start();
include 'db.php';

// Redirect to login page if not logged in
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] !== true) {
    header("Location: login.php");
    exit();
}

$user_id = $_SESSION['user_id'];
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>All Transactions</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <div class="container">
        <h2>All Transactions</h2>
        <ul>
            <?php
            $result = $conn->query("SELECT * FROM transactions WHERE user_id = $user_id ORDER BY timestamp DESC");
            while ($row = $result->fetch_assoc()) {
                echo "<li>{$row['timestamp']} - " . ucfirst($row['action']) . " $" . number_format($row['amount'], 2) . " to/from " . strtoupper(str_replace('-', '.', $row['exchange'])) . "</li>";
            }
            ?>
        </ul>
        <form method="GET" action="index.php">
            <button type="submit">Back</button>
        </form>
    </div>
</body>
</html>
